[Overview][Classes][Index] | Reference for unit 'AVL_Tree' (#fcl)

# TAVLTree.FreeAndClear

Clears the tree and frees nodes

## Declaration

Source position: avl_tree.pp line 104

`public procedure TAVLTree.FreeAndClear;`

## Description

FreeAndClear deletes all nodes from the tree. The data pointer in the nodes is assumed to be an object, and is freed prior to deleting the node from the tree.

## See also

TAVLTree.Clear |  | Clears the tree
TAVLTree.Delete |  | Delete a node from the tree
TAVLTree.FreeAndDelete |  | Delete a node from the tree and destroy it

The latest version of this document can be found at lazarus-ccr.sourceforge.net .